### A free/open-source library for quantitative finance

Public Member Functions | Public Attributes
AssetSwap::arguments Class Reference

Arguments for asset swap calculation More...

`#include <ql/instruments/assetswap.hpp>`

Inherits Swap::arguments.

List of all members.

## Public Member Functions

void | validate () const

## Public Attributes

std::vector< Date > | fixedResetDates
std::vector< Date > | fixedPayDates
std::vector< Real > | fixedCoupons
std::vector< Time > | floatingAccrualTimes
std::vector< Date > | floatingResetDates
std::vector< Date > | floatingFixingDates
std::vector< Date > | floatingPayDates
std::vector< Spread > | floatingSpreads

## Detailed Description

Arguments for asset swap calculation